// Datei: Server.java
import H.*;
import java.io.*;
import java.util.*;

import org.omg.CORBA.*;
import org.omg.PortableServer.*;

public class Server  {
    public static void main (String args[]) throws Exception  {
        // ORB Initialisierung
        ORB orb = ORB.init (args, null);
        // POA Initialisierung und Aktivierung
        POA poa = POAHelper.narrow(orb.resolve_initial_references("RootPOA"));
        poa.the_POAManager().activate();
        // Objekt erzeugen, beim POA anmelden
        // und Objektreferenz erzeugen
        HelloImpl h = new HelloImpl();
        Hello ref = HelloHelper.narrow (poa.servant_to_reference (h));
        // Objektreferenz in Datei schreiben
        BufferedWriter out =
        new BufferedWriter (new FileWriter ("hello.ref"));
        out.write (orb.object_to_string (ref));
        out.newLine();
        out.close();
        // Event-loop des ORB
        orb.run();
        // Objekt wieder abmelden
        poa.deactivate_object (poa.reference_to_id (ref));
    }
}
